libcoap 4.3.2rc2

Data Fields
oscore_sender_ctx_t Struct Reference
Libcoap Internal API » OSCORE Support

`#include <oscore_context.h>`

## Data Fields
uint64_t | seq
uint64_t | next_seq
| Used for ssn_freq updating. More...
coap_bin_const_t * | sender_key
coap_bin_const_t * | sender_id

## Detailed Description

Definition at line 105 of file oscore_context.h.

## Field Documentation

## ◆ next_seq

uint64_t oscore_sender_ctx_t::next_seq

Used for ssn_freq updating.

Definition at line 107 of file oscore_context.h.

## ◆ sender_id

coap_bin_const_t* oscore_sender_ctx_t::sender_id

Definition at line 109 of file oscore_context.h.

## ◆ sender_key

coap_bin_const_t* oscore_sender_ctx_t::sender_key

Definition at line 108 of file oscore_context.h.

## ◆ seq

uint64_t oscore_sender_ctx_t::seq

Definition at line 106 of file oscore_context.h.

The documentation for this struct was generated from the following file:

- oscore_context.h